#!/usr/bin/env python
import coral


de = coral.Language.__getLanguage__("XMIDI", 2, 0).getElement("GraphNode")

aDe=de()

print aDe.widget
# multiplicity is 1..1
assert aDe.widget is not None
assert aDe.widget.__getPyValue__() is None

class X:
    pass

aX=X()

aDe.widget=aX

assert aDe.widget.__getPyValue__() == aX
